%define name perl-POP3Client
%define realname POP3Client
%define version 2.13
%define release 1mdk

Name:		%{name}
Summary:	POP3Client module for perl (Mail_and_Usenet_News/Mail)
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Perl
URL:		http://search.cpan.org/~sdowd/POP3Client/
Source:		http://search.cpan.org/CPAN/authors/id/S/SD/SDOWD/%{realname}-%{version}.tar.bz2
Buildrequires:	perl-devel
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Buildarch:	noarch

%description
POP3Client is a Perl module to provide an object-oriented interface to a
POP3 server.

%prep -q

%setup -q -n %{realname}-%{version}

%build

CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
%make
%{__make} test

%install
%{__rm} -rf $RPM_BUILD_ROOT
%makeinstall_std
%{__rm} -rf $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes  MANIFEST README
%{perl_vendorlib}/Mail/
%_mandir/man3/*

%changelog
* Mon May 17 2004 Michael Scherer <misc@mandrake.org> 2.13-1mdk
- New release 2.13
- rpmbuildupdate aware

* Sat Aug 02 2003 Ben Reser <ben@reser.org> 2.6-10mdk
- Use %%makeinstall_std now that it works on klama

* Sat Aug 02 2003 Ben Reser <ben@reser.org> 2.6-9mdk
- No rm buildroot in %%prep
- Macroification
- Use %%make and %%makeinstall
- man path
- quiet %%setup
- perllocal.pod

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.6-8mdk
- rebuild for new auto{prov,req}

* Mon May 05 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.6-7mdk
- buildrequires

* Fri Jan 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.6-6mdk
- rebuild

* Thu Aug 29 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.6-5mdk
- rebuild

* Tue Sep 11 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.6-4mdk
- macros

* Fri Jul 07 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.6-3mdk
- fix files section

* Fri May 5 2000 Vincent Danen <vdanen@linux-mandrake.com> 2.6-2mdk
- fix group

* Wed Mar 8 2000 Vincent Danen <vdanen@linux-mandrake.com>
- 2.6

* Tue Mar 7 2000 Vincent Danen <vdanen@linux-mandrake.com>
- initial specfile
- bzip sources
